org.eclipse.wst.jsdt.core.infer

## Class RefactoringSupport

- java.lang.Object
- - org.eclipse.wst.jsdt.core.infer.RefactoringSupport

    public class RefactoringSupport
    extends java.lang.Object

Support for refactoring of inferred types Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`RefactoringSupport()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ImportRewriteSupport` `getImportRewriteSupport()`
`boolean` `supportsClassRename()` Determines if the inferred classes can safely be renamed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RefactoringSupport

    public RefactoringSupport()

### Method Detail

#### getImportRewriteSupport

    public ImportRewriteSupport getImportRewriteSupport()

Returns:
  a ImportRewriteSupport instance if it is desired to participate in import writing
See Also:
  `ImportRewriteSupport`

#### supportsClassRename

    public boolean supportsClassRename()

Determines if the inferred classes can safely be renamed.

Returns:
  true if the inferred class can safely be renamed